USBIP(8)

NAME
usbipd - USB/IP server daemon

SYNOPSIS
usbipd [options]

DESCRIPTION
usbipd provides USB/IP clients access to exported USB devices.

Devices have to explicitly be exported using usbip_bind_driver before usbipd makes them available to other hosts.

The daemon accepts connections from USB/IP clients on TCP port 3240.

OPTIONS

-D, --daemon

    Run as a daemon process.

-d, --debug

    Print debugging information.

-v, --version

    Show version.

LIMITATIONS

usbipd offers no authentication or authorization for USB/IP. Any USB/IP client can connect and use exported devices.

EXAMPLES

    server:# modprobe usbip

    server:# usbipd -D
        - Start usbip daemon.

    server:# usbip_bind_driver --list
        - List driver assignments for usb devices.

    server:# usbip_bind_driver --usbip 1-2
        - Bind usbip-host.ko to the device of busid 1-2.
        - A usb device 1-2 is now exportable to other hosts!
        - Use 'usbip_bind_driver --other 1-2' when you want to shutdown exporting and use the device locally.

SEE ALSO
usbip(8), usbip_attach_driver(8)